Bug 1297085 - suitesparse-5.3.0 is available
suitesparse-5.3.0 is available
Status: ASSIGNED
Product: Fedora
Classification: Fedora
Component: suitesparse (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: David Kaspar [Dee'Kej]
Fedora Extras Quality Assurance
: FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-08 19:17 EST by Upstream Release Monitoring
Modified: 2018-07-16 08:47 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
[patch] Update to 4.4.7 (#1297085) (1.01 KB, patch)
2016-01-08 19:18 EST, Upstream Release Monitoring
no flags Details | Diff
suitesparse.spec (12.14 KB, text/plain)
2016-01-12 15:49 EST, Orion Poplawski
no flags Details
SuiteSparse_config.mk (12.18 KB, text/plain)
2016-01-12 15:49 EST, Orion Poplawski
no flags Details
suitesparse-make.patch (512 bytes, patch)
2016-01-12 15:50 EST, Orion Poplawski
no flags Details | Diff
[patch] Update to 4.5.0 (#1297085) (1019 bytes, patch)
2016-01-21 19:23 EST, Upstream Release Monitoring
no flags Details | Diff
[patch] Update to 4.5.1 (#1297085) (1019 bytes, patch)
2016-01-31 07:39 EST, Upstream Release Monitoring
no flags Details | Diff
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (7.42 KB, patch)
2016-04-09 21:31 EDT, Upstream Release Monitoring
no flags Details | Diff
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (5.28 KB, patch)
2016-05-09 20:30 EDT, Upstream Release Monitoring
no flags Details | Diff
[patch] Update to 4.5.5 (#1297085) (1.06 KB, patch)
2017-04-17 20:24 EDT, Upstream Release Monitoring
no flags Details | Diff
[patch] Update to 4.5.6 (#1297085) (1.07 KB, patch)
2017-10-19 20:52 EDT, Upstream Release Monitoring
no flags Details | Diff

  None (edit)
Description Upstream Release Monitoring 2016-01-08 19:17:56 EST
Latest upstream release: 4.4.7
Current version/release in rawhide: 4.4.6-3.fc24
URL: http://faculty.cse.tamu.edu/davis/suitesparse.html

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.
Comment 1 Upstream Release Monitoring 2016-01-08 19:18:23 EST
Created attachment 1113062 [details]
[patch] Update to 4.4.7 (#1297085)
Comment 2 Upstream Release Monitoring 2016-01-08 19:34:46 EST
Scratch build completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12472511
Comment 3 Orion Poplawski 2016-01-12 15:49 EST
Created attachment 1114126 [details]
suitesparse.spec

Looks like 4.4.7 adds support for building shared libraries in the shipped makefiles.  Using a custom SuiteSparse_config.mk allows us to build using it.
Comment 4 Orion Poplawski 2016-01-12 15:49 EST
Created attachment 1114127 [details]
SuiteSparse_config.mk
Comment 5 Orion Poplawski 2016-01-12 15:50 EST
Created attachment 1114128 [details]
suitesparse-make.patch
Comment 6 Upstream Release Monitoring 2016-01-21 19:22:55 EST
Latest upstream release: 4.5.0
Current version/release in rawhide: 4.4.6-4.fc24
URL: http://faculty.cse.tamu.edu/davis/suitesparse.html

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.
Comment 7 Upstream Release Monitoring 2016-01-21 19:23:23 EST
Created attachment 1117050 [details]
[patch] Update to 4.5.0 (#1297085)
Comment 8 Upstream Release Monitoring 2016-01-21 19:39:57 EST
Scratch build completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12640162
Comment 9 Upstream Release Monitoring 2016-01-31 07:38:53 EST
Latest upstream release: 4.5.1
Current version/release in rawhide: 4.4.6-4.fc24
URL: http://faculty.cse.tamu.edu/davis/suitesparse.html

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.
Comment 10 Upstream Release Monitoring 2016-01-31 07:39:19 EST
Created attachment 1119852 [details]
[patch] Update to 4.5.1 (#1297085)
Comment 11 Upstream Release Monitoring 2016-01-31 07:50:49 EST
Scratch build failed http://koji.fedoraproject.org/koji/taskinfo?taskID=12757247
Comment 12 Upstream Release Monitoring 2016-04-09 21:30:52 EDT
Latest upstream release: 4.5.2
Current version/release in rawhide: 4.4.6-5.fc24
URL: http://faculty.cse.tamu.edu/davis/suitesparse.html

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/4908/
Comment 13 Upstream Release Monitoring 2016-04-09 21:31:29 EDT
Patching or scratch build for suitesparse-4.4.6 failed.
Comment 14 Upstream Release Monitoring 2016-04-09 21:31:32 EDT
Created attachment 1145582 [details]
Rebase-helper rebase-helper-debug.log log file.
See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.
Comment 15 Upstream Release Monitoring 2016-04-09 21:31:35 EDT
Patches were not touched. All were applied properly
Comment 16 Upstream Release Monitoring 2016-05-09 20:29:59 EDT
Latest upstream release: 4.5.3
Current version/release in rawhide: 4.4.6-5.fc24
URL: http://faculty.cse.tamu.edu/davis/suitesparse.html

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/4908/
Comment 17 Upstream Release Monitoring 2016-05-09 20:30:29 EDT
Patching or scratch build for suitesparse-4.4.6 failed.
Comment 18 Upstream Release Monitoring 2016-05-09 20:30:33 EDT
Created attachment 1155491 [details]
Rebase-helper rebase-helper-debug.log log file.
See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.
Comment 19 Upstream Release Monitoring 2016-05-09 20:30:36 EDT
Patches were not touched. All were applied properly
Comment 20 Upstream Release Monitoring 2017-04-17 20:23:43 EDT
Latest upstream release: 4.5.5
Current version/release in rawhide: 4.4.6-8.fc26
URL: http://faculty.cse.tamu.edu/davis/suitesparse.html

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/4908/
Comment 21 Upstream Release Monitoring 2017-04-17 20:24:08 EDT
Created attachment 1272200 [details]
[patch] Update to 4.5.5 (#1297085)
Comment 22 Upstream Release Monitoring 2017-04-17 20:29:47 EDT
hotness's scratch build of suitesparse-4.5.5-1.el7.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=19053550
Comment 23 Upstream Release Monitoring 2017-10-19 20:52:05 EDT
Latest upstream release: 4.5.6
Current version/release in rawhide: 4.4.6-10.fc27
URL: http://faculty.cse.tamu.edu/davis/suitesparse.html

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/4908/
Comment 24 Upstream Release Monitoring 2017-10-19 20:52:25 EDT
Created attachment 1341105 [details]
[patch] Update to 4.5.6 (#1297085)
Comment 25 Upstream Release Monitoring 2017-10-19 21:02:42 EDT
hotness's scratch build of suitesparse-4.5.6-1.el7.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=22558731
Comment 26 Upstream Release Monitoring 2017-12-24 07:26:36 EST
Latest upstream release: 5.1.2
Current version/release in rawhide: 4.4.6-10.fc27
URL: http://faculty.cse.tamu.edu/davis/suitesparse.html

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/4908/
Comment 27 Upstream Release Monitoring 2017-12-24 07:26:43 EST
An HTTP error occurred downloading the package's new Source URLs: Getting http://faculty.cse.tamu.edu/davis/SuiteSparse/SuiteSparse-5.1.2.tar.gz to ./SuiteSparse-5.1.2.tar.gz
Comment 28 Upstream Release Monitoring 2018-03-13 20:29:55 EDT
Latest upstream release: 6.0.0
Current version/release in rawhide: 4.4.6-12.fc29
URL: http://faculty.cse.tamu.edu/davis/suitesparse.html

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/4908/
Comment 29 Upstream Release Monitoring 2018-03-15 20:29:53 EDT
Latest upstream release: 5.2.0
Current version/release in rawhide: 4.4.6-12.fc29
URL: http://faculty.cse.tamu.edu/davis/suitesparse.html

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/4908/
Comment 30 Upstream Release Monitoring 2018-07-05 20:32:11 EDT
Latest upstream release: 5.3.0
Current version/release in rawhide: 4.4.6-12.fc29
URL: http://faculty.cse.tamu.edu/davis/suitesparse.html

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/4908/

Note You need to log in before you can comment on or make changes to this bug.